# -*- encoding: utf-8 -*-
# stub: nmatrix 0.1.0.rc3 ruby lib
# stub: ext/nmatrix/extconf.rb

Gem::Specification.new do |s|
  s.name = "nmatrix"
  s.version = "0.1.0.rc3"

  s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["John Woods", "Chris Wailes", "Aleksey Timin"]
  s.date = "2016-03-03"
  s.description = "NMatrix is an experimental linear algebra library for Ruby, written mostly in C."
  s.email = ["john.o.woods@gmail.com"]
  s.extensions = ["ext/nmatrix/extconf.rb"]
  s.files = [".gitignore", ".rspec", ".travis.yml", "CONTRIBUTING.md", "Gemfile", "Guardfile", "History.txt", "LICENSE.txt", "Manifest.txt", "README.rdoc", "Rakefile", "ext/nmatrix/binary_format.txt", "ext/nmatrix/data/complex.h", "ext/nmatrix/data/data.cpp", "ext/nmatrix/data/data.h", "ext/nmatrix/data/meta.h", "ext/nmatrix/data/rational.h", "ext/nmatrix/data/ruby_object.h", "ext/nmatrix/extconf.rb", "ext/nmatrix/math.cpp", "ext/nmatrix/math/asum.h", "ext/nmatrix/math/geev.h", "ext/nmatrix/math/gemm.h", "ext/nmatrix/math/gemv.h", "ext/nmatrix/math/ger.h", "ext/nmatrix/math/gesdd.h", "ext/nmatrix/math/gesvd.h", "ext/nmatrix/math/getf2.h", "ext/nmatrix/math/getrf.h", "ext/nmatrix/math/getri.h", "ext/nmatrix/math/getrs.h", "ext/nmatrix/math/idamax.h", "ext/nmatrix/math/inc.h", "ext/nmatrix/math/laswp.h", "ext/nmatrix/math/long_dtype.h", "ext/nmatrix/math/math.h", "ext/nmatrix/math/nrm2.h", "ext/nmatrix/math/potrs.h", "ext/nmatrix/math/rot.h", "ext/nmatrix/math/rotg.h", "ext/nmatrix/math/scal.h", "ext/nmatrix/math/swap.h", "ext/nmatrix/math/trsm.h", "ext/nmatrix/nm_memory.h", "ext/nmatrix/nmatrix.cpp", "ext/nmatrix/nmatrix.h", "ext/nmatrix/ruby_constants.cpp", "ext/nmatrix/ruby_constants.h", "ext/nmatrix/ruby_nmatrix.c", "ext/nmatrix/storage/common.cpp", "ext/nmatrix/storage/common.h", "ext/nmatrix/storage/dense/dense.cpp", "ext/nmatrix/storage/dense/dense.h", "ext/nmatrix/storage/list/list.cpp", "ext/nmatrix/storage/list/list.h", "ext/nmatrix/storage/storage.cpp", "ext/nmatrix/storage/storage.h", "ext/nmatrix/storage/yale/class.h", "ext/nmatrix/storage/yale/iterators/base.h", "ext/nmatrix/storage/yale/iterators/iterator.h", "ext/nmatrix/storage/yale/iterators/row.h", "ext/nmatrix/storage/yale/iterators/row_stored.h", "ext/nmatrix/storage/yale/iterators/row_stored_nd.h", "ext/nmatrix/storage/yale/iterators/stored_diagonal.h", "ext/nmatrix/storage/yale/math/transpose.h", "ext/nmatrix/storage/yale/yale.cpp", "ext/nmatrix/storage/yale/yale.h", "ext/nmatrix/ttable_helper.rb", "ext/nmatrix/types.h", "ext/nmatrix/util/io.cpp", "ext/nmatrix/util/io.h", "ext/nmatrix/util/sl_list.cpp", "ext/nmatrix/util/sl_list.h", "ext/nmatrix/util/util.h", "lib/nmatrix.rb", "lib/nmatrix/blas.rb", "lib/nmatrix/enumerate.rb", "lib/nmatrix/io/market.rb", "lib/nmatrix/io/mat5_reader.rb", "lib/nmatrix/io/mat_reader.rb", "lib/nmatrix/io/point_cloud.rb", "lib/nmatrix/lapack.rb", "lib/nmatrix/math.rb", "lib/nmatrix/monkeys.rb", "lib/nmatrix/nmatrix.rb", "lib/nmatrix/nvector.rb", "lib/nmatrix/rspec.rb", "lib/nmatrix/shortcuts.rb", "lib/nmatrix/version.rb", "lib/nmatrix/yale_functions.rb", "nmatrix.gemspec", "scripts/mac-brew-gcc.sh", "scripts/mac-mavericks-brew-gcc.sh", "spec/00_nmatrix_spec.rb", "spec/01_enum_spec.rb", "spec/02_slice_spec.rb", "spec/2x2_dense_double.mat", "spec/4x4_sparse.mat", "spec/4x5_dense.mat", "spec/blas_spec.rb", "spec/elementwise_spec.rb", "spec/io_spec.rb", "spec/lapack_spec.rb", "spec/leakcheck.rb", "spec/math_spec.rb", "spec/nmatrix_yale_resize_test_associations.yaml", "spec/nmatrix_yale_spec.rb", "spec/rspec_monkeys.rb", "spec/rspec_spec.rb", "spec/shortcuts_spec.rb", "spec/slice_set_spec.rb", "spec/spec_helper.rb", "spec/stat_spec.rb", "spec/test.pcd", "spec/utm5940.mtx"]
  s.homepage = "http://sciruby.com"
  s.licenses = ["BSD 2-clause"]
  s.post_install_message = "***********************************************************\nWelcome to SciRuby: Tools for Scientific Computing in Ruby!\n\nNMatrix requires a C compiler, and has been tested only\nwith GCC 4.6+. We are happy to accept contributions\nwhich improve the portability of this project.\n\nAlso required is ATLAS. Most Linux distributions and Mac\nversions include ATLAS, but you may wish to compile it\nyourself. The Ubuntu/Debian apt package for ATLAS WILL \nNOT WORK with NMatrix if LAPACK is also installed.\n\nMore explicit instructions for NMatrix and SciRuby should\nbe available on the SciRuby website, sciruby.com, or\nthrough our mailing list (which can be found on our web-\nsite).\n\nThanks for trying out NMatrix! Happy coding!\n\n***********************************************************\n"
  s.required_ruby_version = Gem::Requirement.new(">= 1.9")
  s.rubygems_version = "2.5.1"
  s.summary = "NMatrix is an experimental linear algebra library for Ruby, written mostly in C."
  s.test_files = ["spec/00_nmatrix_spec.rb", "spec/01_enum_spec.rb", "spec/02_slice_spec.rb", "spec/2x2_dense_double.mat", "spec/4x4_sparse.mat", "spec/4x5_dense.mat", "spec/blas_spec.rb", "spec/elementwise_spec.rb", "spec/io_spec.rb", "spec/lapack_spec.rb", "spec/leakcheck.rb", "spec/math_spec.rb", "spec/nmatrix_yale_resize_test_associations.yaml", "spec/nmatrix_yale_spec.rb", "spec/rspec_monkeys.rb", "spec/rspec_spec.rb", "spec/shortcuts_spec.rb", "spec/slice_set_spec.rb", "spec/spec_helper.rb", "spec/stat_spec.rb", "spec/test.pcd", "spec/utm5940.mtx"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rdoc>, [">= 4.0.1"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<bundler>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<rspec-longrun>, [">= 0"])
      s.add_development_dependency(%q<pry>, [">= 0"])
      s.add_development_dependency(%q<rake-compiler>, ["~> 0.8.1"])
    else
      s.add_dependency(%q<rdoc>, [">= 4.0.1"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<bundler>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<rspec-longrun>, [">= 0"])
      s.add_dependency(%q<pry>, [">= 0"])
      s.add_dependency(%q<rake-compiler>, ["~> 0.8.1"])
    end
  else
    s.add_dependency(%q<rdoc>, [">= 4.0.1"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<bundler>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<rspec-longrun>, [">= 0"])
    s.add_dependency(%q<pry>, [">= 0"])
    s.add_dependency(%q<rake-compiler>, ["~> 0.8.1"])
  end
end
